Bug 215097 - ScummVM is in the Other menu instead of the Games menu.
ScummVM is in the Other menu instead of the Games menu.
Product: Fedora
Classification: Fedora
Component: scummvm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-10 17:05 EST by Nicholas Miell
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-13 00:56:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2006-11-10 17:05:20 EST
The "Emulators" in the Categories line of the desktop file should be changed to
Comment 1 Hans de Goede 2006-11-10 17:48:48 EST
This is not a bug, but rather a feature as scummvm certainly isn't a game, it
allows you to play games like the beneath-a-steel-sky package (which does show
up under the Games menu), but it isn't a game itself.

hatari for example has the same problem, and dosbox should have the same problem
too, but has been hidden away under the accesoires menu, which certainly isn't
right too.

One way to fix is this is togo to dribble.org.uk and install the dribble-menus
package which adds a proper emulators submenu. I think we should discuss the
whole gnome menu mess on the fedora-extras mailinglist, esp. since the game menu
is getting way too full and should have submenus.

Anu opinions on this?
Comment 2 Nicholas Miell 2006-11-10 18:21:07 EST
This is pointless hair-splitting. SCUMM is used exclusively for games, and
ScummVM only interprets SCUMM.

Right now it is the only thing sitting in an unthemed "Other" menu, and telling
me to go install a non-Fedora unofficial third-party package to screw with my
menu structure for a stupid semantic distinction is idiotic.
Comment 3 Hans de Goede 2006-11-13 00:56:52 EST
Why thank you for calling me idiotic :|

Anyways I've been rereading the desktopfile spec, and it turns out that there
are main catagories and sub catagories, and that using only "Emulator" as a
catagory is not in accordance with the spec as one must always have atleast one
main catagory under Catagories. Thus I've made a new version fixing this, which
should show up on a mirror near you soon.

BTW scummvm can also play non scumm games, and you really should take a look at
that third party repo, because if you like scummvm I think you'll find many
other packages there which you will also like.

Note You need to log in before you can comment on or make changes to this bug.